<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\User;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('posts', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->string('slug')->unique();
            $table->string('thumbnail')
            ->nullable();
            $table->longText('body');
            $table->string('meta_title')
            ->nullable();
            $table->string('meta_description')
            ->nullable();
            $table->boolean('active')->default(false);
            $table->dateTime('published_at')
            ->nullable();
            $table->foreignIdFor(User::class, 'user_id')
            ->constrained()->cascadeOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('posts');
    }
};
